ConnectCloud Developers

List the people an inquiry can go to (tenant:access)

GET /api/workflow/v1/users

Module: Workflow · operationId: listInquiryRecipients · Tag: Tasks · Auth: access token (Authorization: Bearer <accessToken>)

The tenant's active employees from HR, one entry per e-mail address, sorted by name.

Responses

  • 200 People (application/json)
  • 401 Missing or invalid token (unauthorized) (application/json)
  • 403 Error (application/json)
  • 503 Error (application/json)

Fields of the 200 answer:

  • items (array of InquiryRecipient, required): Items of the list
    • email (string (email)): E-mail address
    • id (string): The e-mail address
    • name (string): Display name
  • total (integer): Number of items

Example 200 answer:

{
  "items": [
    {
      "email": "laura.kaestner@muster-it.example",
      "id": "laura.kaestner@muster-it.example",
      "name": "Laura Kästner"
    },
    {
      "email": "lukas.wimmer@muster-it.example",
      "id": "lukas.wimmer@muster-it.example",
      "name": "Lukas Wimmer"
    }
  ],
  "total": 2
}

Example request

curl -X GET 'https://api.mbcom.cloud/api/workflow/v1/users' \
  -H "Authorization: Bearer $ACCESS_TOKEN"

View as Markdown · Interactive reference · OpenAPI